<script setup lang="ts">
import { inject, type Ref, ref, onMounted } from 'vue'
import clockRealTime from './clockRealTime.vue'
import { useAuthStore } from '@/stores/auth'

const rail = inject<Ref<boolean>>('rail')
const userStore = useAuthStore()

onMounted(() => {
  userStore.getCurrentUser()
})
</script>

<template>
  <div>
    <v-app-bar color="teal-darken-4" image="src/assets/1.jpg">
      <template v-slot:image>
        <v-img gradient="to top right, rgba(101, 43, 14, .8), rgba(139, 69, 19, .8)"></v-img>
      </template>

      <template v-slot:prepend>
        <v-app-bar-nav-icon @click="rail = !rail"></v-app-bar-nav-icon>
      </template>
      <v-icon size="40px">mdi-coffee</v-icon>
      <v-app-bar-title class="custom-title">D-Coffee</v-app-bar-title>

      <v-spacer></v-spacer>
      <clockRealTime style="padding: 1%; font-size: 35px"></clockRealTime>
      <v-list-item :to="{ name: 'login' }">
        <!-- <v-icon size="50px">mdi-account-circle</v-icon> -->
        <!-- <p>User: {{ userStore.getCurrentUser()?.image }}</p> -->
        <v-img
          :src="'http://localhost:3000/images/users/' + userStore.getCurrentUser()?.image"
          width="50"
          height="70"
        ></v-img>
      </v-list-item>
      <div style="padding-right: 3%; padding-left: 5px">
        <p>User: {{ userStore.getCurrentUser()?.fullName }}</p>
        <p>
          Role:
          <span v-for="(role, index) in userStore.getCurrentUser()?.roles" :key="index">
            {{ role.name }}
            <template v-if="index !== userStore.getCurrentUser()?.roles.length - 1">, </template>
          </span>
        </p>
      </div>
    </v-app-bar>
  </div>
</template>

<style scoped>
div {
  font-family: 'Kanit';
}

.custom-title {
  font-size: 35px;
}

.custom-app-bar {
  height: 80px;
}

.custom-in-bar {
  margin-top: auto;
  margin-bottom: auto;
}
</style>
